### Constructor

# RB PlaylistManager new

#### Declaration [src]

    RBPlaylistManager*
    rb_playlist_manager_new (
      RBShell* shell,
      const char* playlists_file
    )

#### Description [src]

Creates the `RBPlaylistManager` instance.

#### Parameters

`shell`

  Type: `RBShell`

  The `RBShell`.

  The data is owned by the caller of the function.

`playlists_file`

  Type: `const char*`

  The full path to the playlist file to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBPlaylistManager`

The `RBPlaylistManager`.

The caller of the function takes ownership of the data, and is responsible for freeing it.